import request from '@/utils/request';
import {c2cApi} from './app';
const adUrl = c2cApi + '/ad';

// 查询用户发布的广告
export function getAdList({
  coinName,
  unitName,
  pageNum,
  pageSize,
  userId,
  adStatus,
  adType,
}) {
  return request({
    url: adUrl + '/pcListUserAd',
    method: 'get',
    params: {coinName, unitName, pageNum, pageSize, userId, adStatus, adType},
  });
}

// 撤销广告
export function getAdCancel({adId, userId}) {
  return request({
    url: adUrl + '/cancelAd',
    method: 'post',
    params: {adId, userId},
  });
}

// 上架
export function getAdDefault({adId}) {
  return request({
    url: adUrl + '/defaultAd',
    method: 'post',
    params: {adId},
  });
}

// 下架
export function getAdPending({adId}) {
  return request({
    url: adUrl + '/pendingAd',
    method: 'post',
    params: {adId},
  });
}

// 发布买入广告
export function getAdBuyBlish({
  payType,
  pass,
  price,
  totalNum,
  coinName,
  unitName,
  minLimit,
  remark,
}) {
  return request({
    url: adUrl + '/publishBuyAd',
    method: 'post',
    params: {
      payType,
      pass,
      price,
      totalNum,
      coinName,
      unitName,
      minLimit,
      remark,
    },
  });
}

// 发布卖出广告
export function getAdSellBlish({
  payType,
  pass,
  userId,
  price,
  totalNum,
  coinName,
  unitName,
  minLimit,
  remark,
  isTeacher,
}) {
  return request({
    url: adUrl + '/publishSellAd',
    method: 'post',
    params: {
      payType,
      pass,
      userId,
      price,
      totalNum,
      coinName,
      unitName,
      minLimit,
      remark,
      isTeacher,
    },
  });
}

// 查询买入广告（交易大厅）
export function getAdBuyList({coinName, unitName, pageNum}) {
  return request({
    url: adUrl + '/pcListSellAd',
    method: 'get',
    params: {coinName, unitName, pageNum},
  });
}

// 查询卖出广告（交易大厅）
export function getAdSellList({coinName, unitName, pageNum}) {
  return request({
    url: adUrl + '/pcListBuyAd',
    method: 'get',
    params: {coinName, unitName, pageNum},
  });
}

// 根据id查询广告
export function getAdSelectById({adId}) {
  return request({
    url: adUrl + '/selectById',
    method: 'get',
    params: {adId},
  });
}
