import request from '@/utils/request';
import {btcApi} from './app';

// 请求函数开始  获取BTC钱包信息,财务记录,充值,提币

// 获取钱包BTC币种信息
export function getBtc() {
  return request({
    url: btcApi + '/wallet/getWallets?walletType=CCT',
    method: 'get',
  });
}

// 获取BTC钱包财务记录
export function getBtcInf({pageNum, pageSize, tokenId, walletType}) {
  return request({
    url: btcApi + '/walletTransfer/pcGetTransfer',
    method: 'get',
    params: {pageNum, pageSize, tokenId, walletType},
  });
}

// 获取USDT钱包财务记录
export function getUsdtInf({pageNum, pageSize, tokenId, walletType}) {
  return request({
    url: btcApi + '/walletTransfer/pcGetTransfer',
    method: 'get',
    params: {pageNum, pageSize, tokenId, walletType},
  });
}

// 获取BTC的手续费
export function chargeBtc() {
  return request({
    url: btcApi + '/walletParam/getGasConfig?tokenSymbol=BTC',
    method: 'get',
  });
}

// 获取USDT的手续费
export function chargeUsdt() {
  return request({
    url: btcApi + '/walletParam/getGasConfig?tokenSymbol=USDT',
    method: 'get',
  });
}

// 点击确认提币
export function sureTiBtc({toAddr, password, amount, tokenId, walletType}) {
  return request({
    url: btcApi + '/walletTransfer/withdraw',
    method: 'post',
    params: {toAddr, password, amount, tokenId, walletType},
  });
}

// 钱包划转 币币-> OTC
export function transferBtc({fromType, toType, coinName, amount}) {
  return request({
    url: btcApi + '/wallet/transfer',
    method: 'post',
    params: {fromType, toType, coinName, amount},
  });
}

// OTC钱包请求开始

// 获取钱包BTC币种信息
export function getOTCBtc() {
  return request({
    url: btcApi + '/wallet/getWallets?walletType=C2C',
    method: 'get',
  });
}

// 获取BTC的手续费
export function chargeOTCBtc() {
  return request({
    url: btcApi + '/walletParam/getGasConfig?tokenSymbol=BTC',
    method: 'get',
  });
}

// 获取USDT的手续费
export function chargeOTCUsdt() {
  return request({
    url: btcApi + '/walletParam/getGasConfig?tokenSymbol=USDT',
    method: 'get',
  });
}

// 点击确认提币
export function sureOTCTiBtc({toAddr, password, amount, tokenId, walletType}) {
  return request({
    url: btcApi + '/walletTransfer/withdraw',
    method: 'post',
    params: {toAddr, password, amount, tokenId, walletType},
  });
}

// 点击充值
export function addBtc({addr, tokenId, walletType}) {
  return request({
    url: btcApi + '/wallet/resetWallet',
    method: 'post',
    params: {
      addr,
      tokenId,
      walletType,
    },
  });
}
// OTC钱包请求结束

// 请求函数结束
