import request from '@/utils/request';
import {cctApi} from './app';

// ZHX  请求函数开始
export function getCctUrl() {
  return cctApi;
}
//  获取交易中心左侧栏主币对
export function getMainCoin() {
  return request({
    url: cctApi + '/coin/listCoin',
    method: 'get',
    // params: {name},
  });
}
// 获取可用交易对列表
export function TransactionPairList({unitName}) {
  return request({
    url: cctApi + '/coin/listTradingOn',
    method: 'get',
    params: {unitName},
  });
}
// 查询盘口卖单数据
// export function getSellOrder(coinName, unitName, pageNum, pageSize) {
//   return request({
//     url: cctApi + '/order/listSellOrder?',
//     method: 'get',
//     params: coinName,
//     unitName,
//     pageNum,
//     pageSize,
//   });
// }
// // 查询盘口买单数据
// export function getBuyOrder(coinName, unitName, pageNum, pageSize) {
//   return request({
//     url: cctApi + '/order/listBuyOrder?',
//     method: 'get',
//     params: coinName,
//     unitName,
//     pageNum,
//     pageSize,
//   });
// }
// 查询盘口最新成交价数据
// export function newTradePrice(coinName, unitName, pageNum, pageSize) {
//   return request({
//     url: cctApi + '/record/listRecord',
//     method: 'get',
//     params: coinName,
//     unitName,
//     pageNum,
//     pageSize,
//   });
// }
// // 根据交易币对查询成交记录
// export function getTradingRecord({coinName, unitName, pageNum, pageSize}) {
//   return request({
//     url: cctApi + '/record/listRecord?',
//     method: 'get',
//     params: {coinName, unitName, pageNum, pageSize},
//   });
// }
// 查询当前委托成交记录(交易中心页)
export function getCurrentEntrust({coinName, unitName, pageNum, pageSize}) {
  return request({
    url: cctApi + '/order/pcListUserOrder?',
    method: 'get',
    params: {coinName, unitName, pageNum, pageSize},
  });
}
// 查询历史委托成交记录(交易中心页)
export function getHistoryEntrust({coinName, unitName, pageNum, pageSize}) {
  return request({
    url: cctApi + '/detail/pcListUserDetail?',
    method: 'get',
    params: {coinName, unitName, pageNum, pageSize},
  });
}
// 查询当前委托成交记录(委托管理页)
export function mainCurrentEntrust({
  coinName,
  unitName,
  type,
  pageNum,
  pageSize,
}) {
  return request({
    url: cctApi + '/order/pcListUserOrder?',
    method: 'get',
    params: {coinName, unitName, type, pageNum, pageSize},
  });
}
// 查询历史委托成交记录(委托管理页)
export function mainHistoryEntrust({
  coinName,
  unitName,
  beginTime,
  lastTime,
  status,
  pageNum,
  pageSize,
}) {
  return request({
    url: cctApi + '/detail/pcListUserDetail?',
    method: 'get',
    params: {
      coinName,
      unitName,
      beginTime,
      lastTime,
      status,
      pageNum,
      pageSize,
    },
  });
}
// 获取深度图表卖信息
// export function getDepth(coinName, unitName, pageNum, pageSize) {
//   return request({
//     url: cctApi + '/order/listSellOrder?',
//     method: 'get',
//     params: coinName,
//     unitName,
//     pageNum,
//     pageSize,
//   });
// }
// // 获取深度图表买信息
// export function getDepthBuy(coinName, unitName, pageNum, pageSize) {
//   return request({
//     url: cctApi + '/order/listBuyOrder?',
//     method: 'get',
//     params: coinName,
//     unitName,
//     pageNum,
//     pageSize,
//   });
// }

//当前委托撤销请求
export function repealStatus({orderId}) {
  return request({
    url: cctApi + '/order/cancel',
    method: 'post',
    params: {orderId},
  });
}
//发布限价买单请求
export function publishLimitBuy({
  pass,
  coinName,
  unitName,
  totalNum,
  unitPrice,
}) {
  return request({
    url: cctApi + '/order/limitBuy',
    method: 'post',
    params: {pass, coinName, unitName, totalNum, unitPrice},
    timeout: -1,
  });
}
//发布限价卖单请求
export function publishLimitSell({
  pass,
  coinName,
  unitName,
  totalNum,
  unitPrice,
}) {
  return request({
    url: cctApi + '/order/limitSell',
    method: 'post',
    params: {pass, coinName, unitName, totalNum, unitPrice},
    timeout: -1,
  });
}
//发布市价买单请求
export function publishMarketBuy({pass, coinName, unitName, turnover}) {
  return request({
    url: cctApi + '/order/marketBuy',
    method: 'post',
    params: {pass, coinName, unitName, turnover},
    timeout: -1,
  });
}
//发布市价卖单请求
export function publishMarketSell({pass, coinName, unitName, totalNum}) {
  return request({
    url: cctApi + '/order/marketSell',
    method: 'post',
    params: {pass, coinName, unitName, totalNum},
    timeout: -1,
  });
}
//委託明細请求
export function enDetail({orderId, pageNum, pageSize}) {
  return request({
    url: cctApi + '/detail/listDetailByOrderId',
    method: 'get',
    params: {orderId, pageNum: pageNum, pageSize: pageSize},
  });
}
// 盘口买卖单和深度图数据
export function getTradingMarket({coinName, unitName, pageNum, pageSize}) {
  return request({
    url: cctApi + '/order/listOrderByCoinAndUnit',
    method: 'get',
    params: {coinName, unitName, pageNum, pageSize},
  });
}

// ZHX  请求函数结束
