import request from '@/utils/request';
import {eosApi} from './app';

//   请求函数开始   获取EOS钱包信息,财务记录,充值地址,提币

// 获取钱包EOS币种信息
export function getEos() {
  return request({
    url: eosApi + '/wallet/selectWalletByWalletType?walletType=CCT',
    method: 'get',
  });
}

// 获取EOS钱包财务记录
export function getEosInf({pageNum, pageSize, tokenName, walletType}) {
  return request({
    url: eosApi + '/walletTransfer/pcGetTransfer',
    method: 'get',
    params: {pageNum, pageSize, tokenName, walletType},
  });
}

// 获取EOS充值地址
export function upEosAddr() {
  return request({
    url: eosApi + '/walletIn/listWalletInAccount?tokenName=eosio.token',
    method: 'post',
  });
}

// 获取EOS的手续费
export function chargeEos() {
  return request({
    url: eosApi + '/configWalletParam/selectConfigWalletParam?tokenSymbol=EOS',
    method: 'get',
  });
}

// 点击确认提币
export function sureTiEos({password, toAddr, amount, tokenName, walletType}) {
  return request({
    url: eosApi + '/wallet/withdrawDeposit',
    method: 'post',
    params: {password, toAddr, amount, tokenName, walletType},
  });
}

// 钱包划转 币币-> OTC
export function transferEos({fromType, toType, coinName, amount}) {
  return request({
    url: eosApi + '/wallet/transfer',
    method: 'post',
    params: {fromType, toType, coinName, amount},
  });
}

// OTC钱包请求开始

// 获取钱包EOS币种信息
export function getOTCEos() {
  return request({
    url: eosApi + '/wallet/selectWalletByWalletType?walletType=C2C',
    method: 'get',
  });
}

// 获取EOS充值地址
export function upOTCEosAddr() {
  return request({
    url: eosApi + '/walletIn/listWalletInAccount?tokenName=eosio.token',
    method: 'post',
  });
}

// 获取EOS的手续费
export function chargeOTCEos() {
  return request({
    url: eosApi + '/configWalletParam/selectConfigWalletParam?tokenSymbol=EOS',
    method: 'get',
  });
}

// 点击确认提币
export function sureOTCTiEos({
  password,
  toAddr,
  amount,
  tokenName,
  walletType,
}) {
  return request({
    url: eosApi + '/wallet/withdrawDeposit',
    method: 'post',
    params: {password, toAddr, amount, tokenName, walletType},
  });
}
// 点击充值
export function addEos({addr, tokenId, walletType}) {
  return request({
    url: eosApi + '/wallet/resetWallet',
    method: 'post',
    params: {
      addr,
      tokenId,
      walletType,
    },
  });
}
// OTC钱包请求结束

//   请求函数结束
