import request from '@/utils/request';
import {ethApi} from './app';

//   请求函数开始  获取ETH钱包信息,财务记录,充值,提币

// 获取钱包ETH币种信息
export function getEth() {
  return request({
    url: ethApi + '/wallet/getWallets?walletType=CCT',
    method: 'get',
  });
}

// 获取ETH钱包财务记录
export function getEthInf({pageNum, pageSize, tokenAddr, walletType}) {
  return request({
    url: ethApi + '/walletTransfer/pcGetTransfer',
    method: 'get',
    params: {pageNum, pageSize, tokenAddr, walletType},
  });
}

// 获取ETH的手续费
export function chargeEth({tokenSymbol}) {
  return request({
    url: ethApi + '/walletParam/getGasConfig',
    method: 'get',
    params: {tokenSymbol},
  });
}

// 获取钱包密码公钥  btc,eos,eth共有公钥
export function getKey() {
  return request({
    url: ethApi + '/wallet/getPublicKey?rd=' + Math.random(), //防止某些浏览器从缓存拿数据
    method: 'get',
  });
}

// 点击确认提币
export function sureTiEth({walletType, tokenAddr, password, toAddr, amount}) {
  return request({
    url: ethApi + '/wallet/withdrawDeposit',
    method: 'post',
    params: {walletType, tokenAddr, password, toAddr, amount},
  });
}

// 钱包划转 币币-> OTC
export function transferEth({fromType, toType, coinName, amount}) {
  return request({
    url: ethApi + '/wallet/transfer',
    method: 'post',
    params: {fromType, toType, coinName, amount},
  });
}

// OTC钱包请求开始

// 获取钱包ETH币种信息
export function getOTCEth() {
  return request({
    url: ethApi + '/wallet/getWallets?walletType=C2C',
    method: 'get',
  });
}

// 获取ETH的手续费
export function chargeOTCEth({tokenSymbol}) {
  return request({
    url: ethApi + '/walletParam/getGasConfig',
    method: 'get',
    params: {tokenSymbol},
  });
}

// 点击确认提币
export function sureOTCTiEth({
  walletType,
  tokenAddr,
  password,
  toAddr,
  amount,
}) {
  return request({
    url: ethApi + '/wallet/withdrawDeposit',
    method: 'post',
    params: {walletType, tokenAddr, password, toAddr, amount},
  });
}
// 点击充值
export function addEth({addr, tokenId, walletType}) {
  return request({
    url: ethApi + '/wallet/resetWallet',
    method: 'post',
    params: {
      addr,
      tokenId,
      walletType,
    },
  });
}
// OTC钱包请求结束

//   请求函数结束
