import request from '@/utils/request';
import {c2cApi} from './app';
const orderUrl = c2cApi + '/order';

// 查询用户发布的广告
export function getOrderList({
  coinName,
  unitName,
  orderType,
  orderStatus,
  pageNum,
  pageSize,
  userId,
}) {
  return request({
    url: orderUrl + '/pcListUserOrder',
    method: 'get',
    params: {
      coinName,
      unitName,
      orderType,
      orderStatus,
      pageNum,
      pageSize,
      userId,
    },
  });
}

// 交易大厅 买入
export function getBuyOrder({adId, amount, price, turnover}) {
  return request({
    url: orderUrl + '/buyOrder',
    method: 'post',
    params: {adId, amount, price, turnover},
  });
}

// 交易大厅 卖出
export function getSellOrder({adId, amount, price, turnover, pass}) {
  return request({
    url: orderUrl + '/sellOrder',
    method: 'post',
    params: {adId, amount, price, turnover, pass},
  });
}

// 根据用户id和订单id查询订单
export function getOrderSelectById({orderId}) {
  return request({
    url: orderUrl + '/selectByUserIdAndId',
    method: 'get',
    params: {orderId},
  });
}

// 确定付款
export function getOrderPay({orderId, payType}) {
  return request({
    url: orderUrl + '/pay',
    method: 'post',
    params: {orderId, payType},
  });
}

// 确定收款
export function getOrderReceipt({orderId, pass}) {
  return request({
    url: orderUrl + '/receipt',
    method: 'post',
    params: {orderId, pass},
  });
}

// 撤销买入订单
export function getCancelBuyOrder({orderId}) {
  return request({
    url: orderUrl + '/cancelBuyOrder',
    method: 'post',
    params: {orderId},
  });
}
