import request from '@/utils/request';
import {sysconfApi} from './app';

//   请求函数开始

// 获取首页公告内容
export function getGongGao() {
  return request({
    url: sysconfApi + '/systemNotice/systemNoticeList',
    method: 'get',
  });
}
// export function getGongGao() {
//   return request({
//     url: 'http://192.168.107.36:8121/systemNotice/systemNoticeList',
//     method: 'get',
//   });
// }

// 获取首页轮播图
export function getLunbo({type}) {
  return request({
    url: sysconfApi + '/systemImage/systemImageList',
    method: 'get',
    params: {type},
  });
}

// 获取行情资讯新闻内容
export function getNews({type}) {
  return request({
    url: sysconfApi + '/news/list',
    method: 'get',
    params: {type},
  });
}

// 获取行情用户点击咨询新闻信息
export function getNewsById({newsId}) {
  return request({
    url: sysconfApi + '/news/getNewsById',
    method: 'get',
    params: {newsId},
  });
}

// 获取底部服务协议 隐私协议
export function getAgreement({type}) {
  return request({
    url: sysconfApi + '/agreement/findAgreement',
    method: 'get',
    params: {type},
  });
}

// 查询帮助中心信息/搜索
export function getHelpCenter({title}) {
  return request({
    url: sysconfApi + '/helpCenter/selectHelpCenterForPc',
    method: 'post',
    params: {title},
  });
}

// 根据id查询帮助中心内容
export function getHelpCenterId({id}) {
  return request({
    url: sysconfApi + '/helpCenter/selectContentById',
    method: 'post',
    params: {id},
  });
}

// 查询联系我们信息列表
export function getUsAll() {
  return request({
    url: sysconfApi + '/contactUs/findContactUsAll',
    method: 'post',
  });
}

// //白皮书
// export function whiteBook() {
//   return request({
//     url: sysconfApi + '/whitePaper/list',
//     method: 'get',
//   });
// }

// //根据id查询白皮书
// export function getIndustryId({id}) {
//   return request({
//     url: sysconfApi + '/whitePaper/selectById',
//     method: 'get',
//     params: {id},
//   });
// }
// //
export function getIndustry({type}) {
  return request({
    url: sysconfApi + '/news/list',
    method: 'get',
    params: {type},
  });
}

// 查询项目中心分类列表
export function getClassifyList() {
  return request({
    url: sysconfApi + '/projectCenter/classifyList',
    method: 'get',
  });
}

// 查询项目列表
export function getProjectList({classifyId, descr, pageNum, pageSize}) {
  return request({
    url: sysconfApi + '/projectCenter/list',
    method: 'get',
    params: {
      classifyId,
      descr,
      pageNum,
      pageSize,
    },
  });
}

// 点赞
export function getStar({projectId, userId}) {
  return request({
    url: sysconfApi + '/projectCenter/star',
    method: 'post',
    params: {
      projectId,
      userId,
    },
  });
}

// 项目基础信息
export function getSelById({id}) {
  return request({
    url: sysconfApi + '/projectCenter/selectById',
    method: 'get',
    params: {
      id,
    },
  });
}

// 报告列表
export function getReportList({
  reportType,
  dateType,
  projectId,
  pageNum,
  pageSize,
}) {
  return request({
    url: sysconfApi + '/projectCenter/reportList',
    method: 'get',
    params: {
      reportType,
      dateType,
      projectId,
      pageNum,
      pageSize,
    },
  });
}

// 获取商家规则
export function getMerchant({type}) {
  return request({
    url: sysconfApi + '/agreement/findAgreement',
    method: 'get',
    params: {type},
  });
}

//   请求函数结束
