import request from '@/utils/request';
import {c2cApi} from './app';
const userPayUrl = c2cApi + '/userPay';

// 查询用户发布的广告
export function getUserPay({orderId}) {
  return request({
    url: userPayUrl + '/selectByAdPayType',
    method: 'get',
    params: {orderId},
  });
}

// 根据支付类型查询用户支付信息
export function getPayTyp({payType}) {
  return request({
    url: userPayUrl + '/selectByPayType',
    method: 'get',
    params: {payType},
  });
}

// 新增支付宝支付信息
export function getInsertZFB({accountInfo, codeUrl, pass}) {
  return request({
    url: userPayUrl + '/insertZFB',
    method: 'post',
    params: {accountInfo, codeUrl, pass},
  });
}

// 更新支付宝支付信息
export function getUpdateZFB({accountInfo, codeUrl, pass}) {
  return request({
    url: userPayUrl + '/updateZFB',
    method: 'post',
    params: {accountInfo, codeUrl, pass},
  });
}

// 新增微信支付信息
export function getInsertWX({accountInfo, codeUrl, pass}) {
  return request({
    url: userPayUrl + '/insertWX',
    method: 'post',
    params: {accountInfo, codeUrl, pass},
  });
}

// 更新微信支付信息
export function getUpdateWX({accountInfo, codeUrl, pass}) {
  return request({
    url: userPayUrl + '/updateWX',
    method: 'post',
    params: {accountInfo, codeUrl, pass},
  });
}

// 新增银行卡支付信息
export function getInsertBank({bankNumber, bankUserName, bankType, pass}) {
  return request({
    url: userPayUrl + '/insertBank',
    method: 'post',
    params: {bankNumber, bankUserName, bankType, pass},
  });
}

// 更新银行卡支付信息
export function getUpdateBank({bankNumber, bankUserName, bankType, pass}) {
  return request({
    url: userPayUrl + '/updateBank',
    method: 'post',
    params: {bankNumber, bankUserName, bankType, pass},
  });
}

// 法币交易购买判断用户是否绑定了广告的支付方式
export function getListUserPay() {
  return request({
    url: userPayUrl + '/listUserPay',
    method: 'get',
  });
}
