import request from '@/utils/request';
import axios from 'axios';
import Cookie from '@/common/cookie';
import {getCurrentLanguage, languageCode2BELocalCode} from '@/common/i18n';
import {yyyfApi} from './app';

const Host = yyyfApi + '/';

//登录
export function signInYyyf(data) {
  return request({
    method: 'post',
    url: Host + 'loginFromYyyf/login',
    params: data,
    timeout: -1,
  });
}

export function getExamOverview(data) {
  return request({
    method: 'post',
    url: Host + 'teachingGrade/getExamOverview',
    params: data,
  });
}

export function getExamDetails(data) {
  return request({
    method: 'get',
    url: Host + 'teachingGrade/getExamDetails',
    params: data,
  });
}

export function getUserTimeMoneyDto() {
  return request({
    method: 'get',
    url: Host + 'exam/getUserTimeMoneyDto',
  });
}

export function submit() {
  return request({
    method: 'get',
    url: Host + 'exam/submit',
  });
}

export function reStart() {
  return request({
    method: 'get',
    url: Host + 'exam/reStart',
  });
}
