import JSCookie from 'js-cookie';

const COOKIE_PREFIX = process.env.VUE_APP_COOKIE_PREFIX || 'cec-';

const _instance = JSCookie.withConverter(function() {});

const Cookie = function(key, ...args) {
  return _instance.apply(this, [COOKIE_PREFIX + key, ...args]);
};

for (let func of ['set', 'get', 'getJSON', 'remove']) {
  Cookie[func] = function(key, ...args) {
    return _instance[func].apply(this, [COOKIE_PREFIX + key, ...args]);
  };
}

export default Cookie;
