import Vue from 'vue';
import Viewer from 'v-viewer';
import ElementUI from '@/plugins/element';

import './style/index.scss';
import i18n from './i18n';
require('vue-swipe/dist/vue-swipe.css');
import {Swipe, SwipeItem} from 'vue-swipe';
// 注册轮播swipe
Vue.component('swipe', Swipe);
Vue.component('swipe-item', SwipeItem);

// 插件 -  组件点击放大
import 'viewerjs/dist/viewer.css';
Vue.use(Viewer);
Viewer.setDefaults({
  Options: {
    inline: true,
    button: true,
    navbar: true,
    title: true,
    toolbar: true,
    tooltip: true,
    movable: true,
    zoomable: true,
    rotatable: true,
    scalable: true,
    transition: true,
    fullscreen: true,
    keyboard: true,
    url: 'data-source',
  },
});

// import router from '../router';
import filters from './filter'; // global filters

import echarts from 'echarts'; //引入echarts
Vue.prototype.$echarts = echarts; //引入组件

import basicFun from './basicFun'; //引入公用函数
Vue.prototype.$my = basicFun; //引入组件

import utils from '../common/urlGet'; //获取url参数
Vue.prototype.$utils = utils; //注册全局方法

import qrcode from './qrcode'; //引入二维码函数
Vue.prototype.$qr = qrcode; //引入组件

Vue.use(ElementUI, {
  i18n: (key, value) => i18n.t(key, value),
});
// register global utility filters.
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key]);
});

Vue.config.productionTip = false;

export default {
  createPageInstance(options) {
    return new Vue({
      el: '#app',
      i18n,
      ...options,
    });
  },
};
