export function getLangEn() {
  return mergeAll(
    require.context('./lang', true, /[A-Za-z0-9-_,\s]+\.en\.js$/i)
  );
}
export function getLangZh_CN() {
  return mergeAll(
    require.context('./lang', true, /[A-Za-z0-9-_,\s]+\.zh-CN\.js$/i)
  );
}
export function getLangZh_HK() {
  return mergeAll(
    require.context('./lang', true, /[A-Za-z0-9-_,\s]+\.zh-HK\.js$/i)
  );
}

/**
 * 将 require.context 导入的模块合并
 * @param context
 * @returns {*}
 */
function mergeAll(context) {
  // explain:
  // context.keys() 得到 ['./price.en.js'] 这样格式的数组，内容是匹配到的文件
  // context['./price.en.js'] 为 对应文件的 export

  let messages = {};
  context.keys().forEach(key => {
    messages = {
      ...messages,
      ...context(key).default,
    };
  });
  return messages;
}
