import Vue from 'vue';
import Router from 'vue-router';
import profile from './views/personal/profile';
import security from './views/personal/security';
import prove from './views/personal/prove';
import changePassword from './views/personal/changePassword';
import entrust from './pages/entrust';
import trade from './pages/trade';
import entrustdetail from './pages/entrustdetail.vue';
import historydetail from './pages/historydetail.vue';
import manner from './views/personal/manner';

Vue.use(Router);

export default new Router({
  routes: [
    {
      path: '/',
      redirect: 'profile',
    },
    {
      path: '/profile',
      name: 'profile',
      component: profile,
    },
    {
      path: '/security',
      name: 'security',
      component: security,
    },
    {
      path: '/manner',
      name: 'manner',
      component: manner,
    },
    {
      path: '/prove',
      name: 'prove',
      component: prove,
    },
    {
      path: '/changePassword',
      name: 'changePassword',
      component: changePassword,
    },
    {
      path: '/entrust',
      name: 'entrust',
      component: entrust,
    },
    {
      path: './trade',
      name: 'trade',
      component: trade,
    },
    {
      path: '/entry',
      name: 'entry',
      component: () => import('./pages/entry'),
    },
    {
      path: '/studyGrade',
      name: 'studyGrade',
      component: () => import('./pages/studyGrade'),
    },
    {
      path: '/about',
      name: 'about',
      // route level code-splitting
      // this generates a separate chunk (about.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () =>
        import(/* webpackChunkName: "about" */ './views/About.vue'),
    },
    {
      path: './historydetail',
      name: 'historydetail',
      component: historydetail,
      hidden: true,
    },
    {
      path: './currentdetail',
      name: 'currentdetail',
      component: entrustdetail,
      hidden: true,
    },
  ],
});
