import Vue from 'vue';
import Router from 'vue-router';
import profile from './profile';
import security from './security';
import prove from './prove';
import manner from './manner';
import proveLow from './prove-low';
import proveHigh from './prove-high';
import changePassword from './profile-password';
import setPayPassword from './setPayPassword';

import EmptyRouterView from '@/views/common/layout-warpper';

Vue.use(Router);

export default new Router({
  routes: [
    {
      path: '/',
      redirect: 'profile',
    },
    {
      path: '/profile',
      component: EmptyRouterView,
      children: [
        {
          path: '',
          component: profile,
        },
        {
          path: 'change-password',
          name: 'changePassword',
          component: changePassword,
        },
      ],
    },
    {
      path: '/security',
      component: EmptyRouterView,
      children: [
        {
          path: '',
          component: security,
        },
        {
          path: 'setPayPassword',
          name: 'setPayPassword',
          component: setPayPassword,
        },
      ],
    },
    {
      path: '/prove',
      component: EmptyRouterView,
      children: [
        {
          path: '',
          component: prove,
        },
        {
          path: 'proveLow',
          name: 'proveLow',
          component: proveLow,
        },
        {
          path: 'proveHigh',
          name: 'proveHigh',
          component: proveHigh,
        },
      ],
    },
    {
      path: '/manner',
      component: EmptyRouterView,
      children: [
        {
          path: '',
          component: manner,
        },
      ],
    },
  ],
});
